python-lldb-3.5_3.5.2-3ubuntu1_amd64.deb


Advertisement

Description

python-lldb-3.5 - Next generation, high-performance debugger, python lib

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-lldb-3.5
Package version: 3.5.2
Package release: 3ubuntu1
Package architecture: amd64
Package type: deb
Installed size: 658 B
Download size: 83.90 KB
Official Mirror: archive.ubuntu.com
LLDB is a next generation, high-performance debugger. It is built as a set of reusable components which highly leverage existing libraries in the larger LLVM Project, such as the Clang expression parser and LLVM disassembler. This binding package provides access to lldb.

Alternatives

Requires

Conflicts

  • python-lldb-3.4
  • python-lldb-3.6
  • python-lldb-3.7
  • python-lldb-3.8

    Download

    Source package: llvm-toolchain-3.5

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-lldb-3.5 deb package:
      # sudo apt-get install python-lldb-3.5

    Files

    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/__init__.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/_lldb.so
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/embedded_interpreter.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/libLLVM-3.5.2.so.1
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/libLLVM-3.5.so.1
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/Logger.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/__init__.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/attrib_fromdict.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/cache.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/metrics.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/cpp/__init__.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/cpp/gnu_libstdcpp.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/formatters/cpp/libcxx.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/runtime/__init__.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/utils/__init__.py
    • /usr/lib/llvm-3.5/lib/python2.7/site-packages/lldb/utils/symbolication.py
    • /usr/lib/python2.7/dist-packages/lldb
    • /usr/share/doc/python-lldb-3.5/NEWS.Debian.gz
    • /usr/share/doc/python-lldb-3.5/changelog.Debian.gz
    • /usr/share/doc/python-lldb-3.5/copyright

    Changelog

    2016-04-18 - Matthias Klose <doko@ubuntu.com> llvm-toolchain-3.5 (1:3.5.2-3ubuntu1) xenial; urgency=medium * Don't link executables with a linker version script.

    2016-02-07 - Matthias Klose <doko@ubuntu.com> llvm-toolchain-3.5 (1:3.5.2-3build2) xenial; urgency=medium * No-change rebuild for ncurses6 transition.

    2015-11-02 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com> llvm-toolchain-3.5 (1:3.5.2-3build1) xenial; urgency=medium * No-change rebuild against ocaml 4.02.

    2015-10-13 - Gianfranco Costamagna <locutusofborg@debian.org> llvm-toolchain-3.5 (1:3.5.2-3) unstable; urgency=medium * Team upload. [ Gianfranco Costamagna ] * d/control: Add more conflicting packages (python-clang and python-lldb) * d/control: mark libclang1-3.5-dbg as Multiarch: same [ Stéphane Glondu ] * Fix compilation with OCaml 4.02

    2015-08-17 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.2-2) unstable; urgency=medium [ Sylvestre Ledru ] * Fix the CMake build. thanks to Paweł Bylica for the fix. Fix upstream bug #23352 * Remove old remove-ice-rust*.diff patches. * bug-24472.diff: Silent some aarch64/arm64 tests which started to fail probably during the gcc 5 migration [ Gianfranco Costamagna ] * Really bump Standard-Version * d/rules: fix gcc-5 detection, since gcc-5.2 doesn't provide a g++-5.2 binary (but it is called g++-5) (copying the patch from llvm-3.7) [ Sebastian Andrzej Siewior ] * debian/patches/0001-fix-ftbs-with-gcc-5.patch: - Fix gcc-5 related build failure (Closes: #781197) [ Steven Chamberlain ] * debian/patches/bug783205.patch - make llvm find s390x standard libraries by looking in the correct directory. [ Matthias Klose ] * Rename libllvm3.5 to libllvm3.5v5 for libstdc++6 transition. (Closes: #794935) * Add Conflict/Replaces to the old library package. [ Luciano Bello ] * debian/patches/CVE-2015-2305.patch (Closes: #778392)

    2015-04-27 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.2-1) unstable; urgency=medium * Upload to unstable * Standards-Version updated to 3.9.6

    2015-03-25 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.2-1~exp1) experimental; urgency=medium * New upstream release * Support of gcc 5.0 (Closes: #777986)

    2015-01-13 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.1-1~exp1) experimental; urgency=medium * New upstream release

    2014-12-22 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.1~+rc2-1~exp1) experimental; urgency=medium * New (testing) upstream release

    2014-12-18 - Sylvestre Ledru <sylvestre@debian.org> llvm-toolchain-3.5 (1:3.5.1~+rc1-1~exp1) experimental; urgency=medium * New (testing) upstream release

    Advertisement
    Advertisement